using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Text;
using System.Text.RegularExpressions;
using System.Windows.Forms;
using TD.SandDock;
using TD.SandDock.Rendering;
using VKontakte;

namespace Gsome
{
	public class MainForm : Form
	{
		private IContainer components;

		private DocumentContainer tpconMain;

		private ToolStripPanel tspTop;

		private ToolStrip tsCmd;

		private ToolStripButton btnCreatePageActivate;

		private StatusStrip ssMain;

		private ToolStripStatusLabel lblWall;

		private ToolStripSeparator ssSep1;

		private ToolStripStatusLabel lblTopics;

		private ToolStripSeparator ssSep2;

		private ToolStripStatusLabel lblTopicsAnswers;

		private ToolStripSeparator ssSep3;

		private ToolStripStatusLabel lblAlbums;

		private ToolStripSeparator ssSep4;

		private ToolStripButton btnClearCach;

		private ToolStripStatusLabel lblAlbumsPhotos;

		private ToolStripSeparator ssSep5;

		private ToolStripStatusLabel lblAudio;

		private ToolStripSeparator ssSep6;

		private ToolStripStatusLabel lblVideos;

		private ToolStripSeparator ssSep7;

		private ToolStripStatusLabel lblVideosComments;

		private ToolStripSeparator ssSep8;

		private Timer tmrCounters;

		private DockControl tpCreate;

		private TableLayoutPanel tlpCreateForm;

		private Label lblAimId;

		private TextBox txtAimId;

		private Label lblAccounts;

		private TreeView lstAccounts;

		private Button btnCreate;

		private ErrorProvider errProvider;

		private ToolStripProgressBar pbPrepearing;

		private ToolStripSeparator toolStripSeparator8;

		private ToolStripButton btnGoToBase;

		private NotifyIcon trayIcon;

		public MainForm()
		{
			InitializeComponent();
			Text = $"ГСОМЕ v{Application.ProductVersion} альфа (by exe-dealer)";
			trayIcon.Icon = base.Icon;
			foreach (VKClient item in VKClients.Items)
			{
				lstAccounts.Nodes.Add(item.Account.ToString()).Checked = true;
			}
			tmrCounters.Start();
		}

		private void btnCreatePageActivate_Click(object sender, EventArgs e)
		{
			tpCreate.Activate();
		}

		private void tmrCounters_Tick(object sender, EventArgs e)
		{
			AttackControl attackControl = tpconMain.ActiveDocument as AttackControl;
			if (attackControl != null && !attackControl.IsPrepearing)
			{
				lblWall.Text = attackControl.WallMessagesCount.ToString().PadLeft(5);
				lblTopics.Text = attackControl.TopicsCount.ToString().PadLeft(5);
				lblTopicsAnswers.Text = attackControl.TopicsAnswersCount.ToString().PadLeft(5);
				lblAlbums.Text = attackControl.AlbumsCount.ToString().PadLeft(5);
				lblAlbumsPhotos.Text = attackControl.PhotosCount.ToString().PadLeft(5);
				lblAudio.Text = attackControl.AudiosCount.ToString().PadLeft(5);
				lblVideos.Text = attackControl.VideosCount.ToString().PadLeft(5);
				lblVideosComments.Text = attackControl.VideosCommentsCount.ToString().PadLeft(5);
			}
			else
			{
				lblWall.Text = "  -  ";
				lblTopics.Text = "  -  ";
				lblTopicsAnswers.Text = "  -  ";
				lblAlbums.Text = "  -  ";
				lblAlbumsPhotos.Text = "  -  ";
				lblAudio.Text = "  -  ";
				lblVideos.Text = "  -  ";
				lblVideosComments.Text = "  -  ";
			}
			if (attackControl != null && attackControl.IsPrepearing)
			{
				pbPrepearing.Visible = true;
				pbPrepearing.Value = attackControl.PrepearingProgress;
				tmrCounters.Interval = 50;
			}
			else
			{
				pbPrepearing.Visible = false;
				tmrCounters.Interval = 200;
			}
		}

		private void btnClearCach_Click(object sender, EventArgs e)
		{
			foreach (VKClient item in VKClients.Items)
			{
				item.ClearCach();
			}
		}

		private void btnCreate_Click(object sender, EventArgs e)
		{
			string text = txtAimId.Text;
			int result = 0;
			Match match = Regex.Match(text, "http://vkontakte\\.ru/club([\\p{Nd}]{1,8})");
			if (!match.Success || !int.TryParse(match.Groups[1].Value, out result))
			{
				match = Regex.Match(text, "щачло_попячтса([\\p{Nd}]{1,8})");
				if (match.Success && int.TryParse(match.Groups[1].Value, out result))
				{
					result *= -1;
				}
				else
				{
					if (!int.TryParse(text.Trim(), out result))
					{
						errProvider.SetError(txtAimId, "ID группы введен не верно");
						return;
					}
					result = Math.Abs(result);
				}
			}
			if (result == 0)
			{
				errProvider.SetError(txtAimId, "ID группы введен не верно");
				return;
			}
			result *= -1;
			List<VKClient> list = new List<VKClient>();
			for (int i = 0; i < lstAccounts.Nodes.Count; i++)
			{
				if (lstAccounts.Nodes[i].Checked)
				{
					list.Add(VKClients.Items[i]);
				}
			}
			if (list.Count == 0)
			{
				errProvider.SetError(lstAccounts, "Ни один аккаунт не выбран.");
				return;
			}
			try
			{
				AttackControl attackControl = AttackControl.Create(result, list);
				tpconMain.AddDocument(attackControl);
				attackControl.Activate();
				attackControl.Prepare();
			}
			catch (BlankErrorException ex)
			{
				errProvider.SetError(txtAimId, ex.Message);
			}
		}

		private void tpconMain_ActiveDocumentChanged(object sender, ActiveDocumentEventArgs e)
		{
			btnCreatePageActivate.Enabled = e.NewActiveDocument != tpCreate;
		}

		private void txtAimId_TextChanged(object sender, EventArgs e)
		{
			if (errProvider.GetError(txtAimId) != null)
			{
				errProvider.SetError(txtAimId, null);
			}
		}

		private void lstAccounts_AfterCheck(object sender, TreeViewEventArgs e)
		{
			if (errProvider.GetError(lstAccounts) != null)
			{
				errProvider.SetError(lstAccounts, null);
			}
		}

		private void txtAimId_KeyUp(object sender, KeyEventArgs e)
		{
			if (e.KeyData == Keys.Return)
			{
				btnCreate_Click(null, null);
			}
		}

		private void btnGoToBase_Click(object sender, EventArgs e)
		{
			try
			{
				Process.Start("http://onotolearmy.0pk.ru/");
			}
			catch
			{
			}
		}

		private void btnMail2Author_Click(object sender, EventArgs e)
		{
			try
			{
				Process.Start("mailto:exe-dealer@yandex.ru");
			}
			catch
			{
			}
		}

		protected override void OnResize(EventArgs e)
		{
			if (base.WindowState == FormWindowState.Minimized)
			{
				trayIcon.Visible = true;
				base.ShowInTaskbar = false;
				string statusString = GetStatusString();
				string tipText = "Двойной клик, чтобы восстановить.\r\nПравая кнопка, чтобы вызвать это окно." + ((statusString.Length > 0) ? ("\r\n\r\n" + statusString) : string.Empty);
				trayIcon.ShowBalloonTip(10, Text, tipText, ToolTipIcon.Info);
			}
			base.OnResize(e);
		}

		private void trayIcon_MouseDoubleClick(object sender, MouseEventArgs e)
		{
			base.WindowState = FormWindowState.Normal;
			base.ShowInTaskbar = true;
			trayIcon.Visible = false;
		}

		private void trayIcon_MouseClick(object sender, MouseEventArgs e)
		{
			string statusString = GetStatusString();
			string tipText = "Двойной клик, чтобы восстановить." + ((statusString.Length > 0) ? ("\r\n\r\n" + statusString) : string.Empty);
			if (e.Button == MouseButtons.Right)
			{
				trayIcon.ShowBalloonTip(10, Text, tipText, ToolTipIcon.Info);
			}
		}

		private string GetStatusString()
		{
			StringBuilder stringBuilder = new StringBuilder();
			List<string> list = new List<string>();
			List<int> list2 = new List<int>();
			List<int[]> list3 = new List<int[]>();
			DockControl[] documents = tpconMain.Documents;
			foreach (DockControl dockControl in documents)
			{
				if (dockControl is AttackControl attackControl)
				{
					int[] array;
					if (!list2.Contains(attackControl.AimId))
					{
						list2.Add(attackControl.AimId);
						list.Add(attackControl.TabText);
						list3.Add(array = new int[8]);
					}
					else
					{
						array = list3[list2.IndexOf(attackControl.AimId)];
					}
					array[0] += attackControl.WallMessagesCount;
					array[1] += attackControl.TopicsCount;
					array[2] += attackControl.TopicsAnswersCount;
					array[3] += attackControl.AlbumsCount;
					array[4] += attackControl.PhotosCount;
					array[5] += attackControl.AudiosCount;
					array[6] += attackControl.VideosCount;
					array[7] += attackControl.VideosCommentsCount;
				}
			}
			for (int j = 0; j < list2.Count; j++)
			{
				stringBuilder.AppendLine(list[j]);
				int[] array2 = list3[j];
				foreach (int num in array2)
				{
					stringBuilder.Append(num.ToString().PadLeft(4) + " ");
				}
				stringBuilder.AppendLine();
			}
			return stringBuilder.ToString();
		}

		private void trayIcon_BalloonTipClicked(object sender, EventArgs e)
		{
			trayIcon_MouseClick(null, new MouseEventArgs(MouseButtons.Right, 1, 0, 0, 0));
		}

		protected override void Dispose(bool disposing)
		{
			if (disposing && components != null)
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		private void InitializeComponent()
		{
			components = new System.ComponentModel.Container();
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Gsome.MainForm));
			tpconMain = new TD.SandDock.DocumentContainer();
			tpCreate = new TD.SandDock.DockControl();
			tlpCreateForm = new System.Windows.Forms.TableLayoutPanel();
			lblAccounts = new System.Windows.Forms.Label();
			lblAimId = new System.Windows.Forms.Label();
			txtAimId = new System.Windows.Forms.TextBox();
			lstAccounts = new System.Windows.Forms.TreeView();
			btnCreate = new System.Windows.Forms.Button();
			tspTop = new System.Windows.Forms.ToolStripPanel();
			tsCmd = new System.Windows.Forms.ToolStrip();
			btnCreatePageActivate = new System.Windows.Forms.ToolStripButton();
			btnClearCach = new System.Windows.Forms.ToolStripButton();
			toolStripSeparator8 = new System.Windows.Forms.ToolStripSeparator();
			btnGoToBase = new System.Windows.Forms.ToolStripButton();
			ssMain = new System.Windows.Forms.StatusStrip();
			lblWall = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep1 = new System.Windows.Forms.ToolStripSeparator();
			lblTopics = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep2 = new System.Windows.Forms.ToolStripSeparator();
			lblTopicsAnswers = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep3 = new System.Windows.Forms.ToolStripSeparator();
			lblAlbums = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep4 = new System.Windows.Forms.ToolStripSeparator();
			lblAlbumsPhotos = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep5 = new System.Windows.Forms.ToolStripSeparator();
			lblAudio = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep6 = new System.Windows.Forms.ToolStripSeparator();
			lblVideos = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep7 = new System.Windows.Forms.ToolStripSeparator();
			lblVideosComments = new System.Windows.Forms.ToolStripStatusLabel();
			ssSep8 = new System.Windows.Forms.ToolStripSeparator();
			pbPrepearing = new System.Windows.Forms.ToolStripProgressBar();
			tmrCounters = new System.Windows.Forms.Timer(components);
			errProvider = new System.Windows.Forms.ErrorProvider(components);
			trayIcon = new System.Windows.Forms.NotifyIcon(components);
			tpconMain.SuspendLayout();
			tpCreate.SuspendLayout();
			tlpCreateForm.SuspendLayout();
			tspTop.SuspendLayout();
			tsCmd.SuspendLayout();
			ssMain.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)errProvider).BeginInit();
			SuspendLayout();
			tpconMain.Controls.Add(tpCreate);
			tpconMain.Cursor = System.Windows.Forms.Cursors.Default;
			tpconMain.Guid = new System.Guid("fd68a28d-6046-4530-ad18-ddfd41f5f328");
			tpconMain.LayoutSystem = new TD.SandDock.SplitLayoutSystem(250, 400, System.Windows.Forms.Orientation.Horizontal, new TD.SandDock.LayoutSystemBase[1]
			{
				new TD.SandDock.DocumentLayoutSystem(564, 346, new TD.SandDock.DockControl[1] { tpCreate }, tpCreate)
			});
			tpconMain.Location = new System.Drawing.Point(0, 25);
			tpconMain.Manager = null;
			tpconMain.Name = "tpconMain";
			tpconMain.Renderer = new TD.SandDock.Rendering.Office2003Renderer();
			tpconMain.Size = new System.Drawing.Size(566, 348);
			tpconMain.TabIndex = 0;
			tpconMain.ActiveDocumentChanged += new TD.SandDock.ActiveDocumentEventHandler(tpconMain_ActiveDocumentChanged);
			tpCreate.BorderStyle = TD.SandDock.Rendering.BorderStyle.Flat;
			tpCreate.Closable = false;
			tpCreate.Controls.Add(tlpCreateForm);
			tpCreate.Guid = new System.Guid("914b3e87-7f12-4de8-a17e-fbdc530954b5");
			tpCreate.Location = new System.Drawing.Point(5, 33);
			tpCreate.Name = "tpCreate";
			tpCreate.Size = new System.Drawing.Size(556, 310);
			tpCreate.TabIndex = 0;
			tpCreate.TabText = "Создать отаке";
			tlpCreateForm.BackColor = System.Drawing.SystemColors.Control;
			tlpCreateForm.ColumnCount = 1;
			tlpCreateForm.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
			tlpCreateForm.Controls.Add(lblAccounts, 0, 2);
			tlpCreateForm.Controls.Add(lblAimId, 0, 0);
			tlpCreateForm.Controls.Add(txtAimId, 0, 1);
			tlpCreateForm.Controls.Add(lstAccounts, 0, 3);
			tlpCreateForm.Controls.Add(btnCreate, 0, 4);
			tlpCreateForm.Dock = System.Windows.Forms.DockStyle.Fill;
			tlpCreateForm.Location = new System.Drawing.Point(1, 1);
			tlpCreateForm.Name = "tlpCreateForm";
			tlpCreateForm.RowCount = 5;
			tlpCreateForm.RowStyles.Add(new System.Windows.Forms.RowStyle());
			tlpCreateForm.RowStyles.Add(new System.Windows.Forms.RowStyle());
			tlpCreateForm.RowStyles.Add(new System.Windows.Forms.RowStyle());
			tlpCreateForm.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100f));
			tlpCreateForm.RowStyles.Add(new System.Windows.Forms.RowStyle());
			tlpCreateForm.Size = new System.Drawing.Size(554, 308);
			tlpCreateForm.TabIndex = 0;
			lblAccounts.Anchor = System.Windows.Forms.AnchorStyles.Left;
			lblAccounts.AutoSize = true;
			lblAccounts.Location = new System.Drawing.Point(3, 77);
			lblAccounts.Margin = new System.Windows.Forms.Padding(3, 15, 3, 3);
			lblAccounts.Name = "lblAccounts";
			lblAccounts.Size = new System.Drawing.Size(59, 13);
			lblAccounts.TabIndex = 2;
			lblAccounts.Text = "Аккаунты:";
			lblAimId.Anchor = System.Windows.Forms.AnchorStyles.Left;
			lblAimId.AutoSize = true;
			lblAimId.Location = new System.Drawing.Point(3, 20);
			lblAimId.Margin = new System.Windows.Forms.Padding(3, 20, 3, 3);
			lblAimId.Name = "lblAimId";
			lblAimId.Size = new System.Drawing.Size(106, 13);
			lblAimId.TabIndex = 0;
			lblAimId.Text = "ID или URL группы:";
			txtAimId.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
			txtAimId.Location = new System.Drawing.Point(3, 39);
			txtAimId.Margin = new System.Windows.Forms.Padding(3, 3, 30, 3);
			txtAimId.Name = "txtAimId";
			txtAimId.Size = new System.Drawing.Size(521, 20);
			txtAimId.TabIndex = 1;
			txtAimId.TextChanged += new System.EventHandler(txtAimId_TextChanged);
			txtAimId.KeyUp += new System.Windows.Forms.KeyEventHandler(txtAimId_KeyUp);
			lstAccounts.CheckBoxes = true;
			lstAccounts.Dock = System.Windows.Forms.DockStyle.Fill;
			errProvider.SetIconAlignment(lstAccounts, System.Windows.Forms.ErrorIconAlignment.TopRight);
			lstAccounts.Location = new System.Drawing.Point(3, 96);
			lstAccounts.Margin = new System.Windows.Forms.Padding(3, 3, 30, 3);
			lstAccounts.Name = "lstAccounts";
			lstAccounts.ShowLines = false;
			lstAccounts.ShowNodeToolTips = true;
			lstAccounts.ShowPlusMinus = false;
			lstAccounts.ShowRootLines = false;
			lstAccounts.Size = new System.Drawing.Size(521, 178);
			lstAccounts.TabIndex = 3;
			lstAccounts.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(lstAccounts_AfterCheck);
			btnCreate.Anchor = System.Windows.Forms.AnchorStyles.Right;
			btnCreate.Location = new System.Drawing.Point(439, 280);
			btnCreate.Margin = new System.Windows.Forms.Padding(3, 3, 30, 3);
			btnCreate.Name = "btnCreate";
			btnCreate.Size = new System.Drawing.Size(85, 25);
			btnCreate.TabIndex = 4;
			btnCreate.Text = "Создать";
			btnCreate.UseVisualStyleBackColor = true;
			btnCreate.Click += new System.EventHandler(btnCreate_Click);
			tspTop.Controls.Add(tsCmd);
			tspTop.Dock = System.Windows.Forms.DockStyle.Top;
			tspTop.Location = new System.Drawing.Point(0, 0);
			tspTop.Name = "tspTop";
			tspTop.Orientation = System.Windows.Forms.Orientation.Horizontal;
			tspTop.Padding = new System.Windows.Forms.Padding(0, 4, 0, 0);
			tspTop.RowMargin = new System.Windows.Forms.Padding(3, 0, 0, 0);
			tspTop.Size = new System.Drawing.Size(566, 25);
			tsCmd.Dock = System.Windows.Forms.DockStyle.None;
			tsCmd.Items.AddRange(new System.Windows.Forms.ToolStripItem[4] { btnCreatePageActivate, btnClearCach, toolStripSeparator8, btnGoToBase });
			tsCmd.Location = new System.Drawing.Point(3, 0);
			tsCmd.Name = "tsCmd";
			tsCmd.Size = new System.Drawing.Size(265, 25);
			tsCmd.TabIndex = 2;
			tsCmd.Text = "toolStrip1";
			btnCreatePageActivate.Image = (System.Drawing.Image)resources.GetObject("btnCreatePageActivate.Image");
			btnCreatePageActivate.ImageTransparentColor = System.Drawing.Color.Magenta;
			btnCreatePageActivate.Name = "btnCreatePageActivate";
			btnCreatePageActivate.Size = new System.Drawing.Size(103, 22);
			btnCreatePageActivate.Text = "Создать отаке";
			btnCreatePageActivate.Click += new System.EventHandler(btnCreatePageActivate_Click);
			btnClearCach.Image = (System.Drawing.Image)resources.GetObject("btnClearCach.Image");
			btnClearCach.ImageTransparentColor = System.Drawing.Color.Magenta;
			btnClearCach.Name = "btnClearCach";
			btnClearCach.Size = new System.Drawing.Size(98, 22);
			btnClearCach.Text = "Очистить кэш";
			btnClearCach.Click += new System.EventHandler(btnClearCach_Click);
			toolStripSeparator8.Name = "toolStripSeparator8";
			toolStripSeparator8.Size = new System.Drawing.Size(6, 25);
			btnGoToBase.ImageTransparentColor = System.Drawing.Color.Magenta;
			btnGoToBase.Name = "btnGoToBase";
			btnGoToBase.Size = new System.Drawing.Size(46, 22);
			btnGoToBase.Text = "В штаб";
			btnGoToBase.Click += new System.EventHandler(btnGoToBase_Click);
			ssMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[17]
			{
				lblWall, ssSep1, lblTopics, ssSep2, lblTopicsAnswers, ssSep3, lblAlbums, ssSep4, lblAlbumsPhotos, ssSep5,
				lblAudio, ssSep6, lblVideos, ssSep7, lblVideosComments, ssSep8, pbPrepearing
			});
			ssMain.Location = new System.Drawing.Point(0, 373);
			ssMain.Name = "ssMain";
			ssMain.ShowItemToolTips = true;
			ssMain.Size = new System.Drawing.Size(566, 23);
			ssMain.TabIndex = 2;
			lblWall.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblWall.Name = "lblWall";
			lblWall.Size = new System.Drawing.Size(42, 18);
			lblWall.Text = "    0";
			lblWall.ToolTipText = "Отправлено сообщений на стену";
			ssSep1.Name = "ssSep1";
			ssSep1.Size = new System.Drawing.Size(6, 23);
			lblTopics.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblTopics.Name = "lblTopics";
			lblTopics.Size = new System.Drawing.Size(42, 18);
			lblTopics.Text = "    0";
			lblTopics.ToolTipText = "Создано обсуждений";
			ssSep2.Name = "ssSep2";
			ssSep2.Size = new System.Drawing.Size(6, 23);
			lblTopicsAnswers.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblTopicsAnswers.Name = "lblTopicsAnswers";
			lblTopicsAnswers.Size = new System.Drawing.Size(42, 18);
			lblTopicsAnswers.Text = "    0";
			lblTopicsAnswers.ToolTipText = "Добавлено ответов в УГ-обсуждения";
			ssSep3.Name = "ssSep3";
			ssSep3.Size = new System.Drawing.Size(6, 23);
			lblAlbums.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblAlbums.Name = "lblAlbums";
			lblAlbums.Size = new System.Drawing.Size(42, 18);
			lblAlbums.Text = "    0";
			lblAlbums.ToolTipText = "Создано альбомов";
			ssSep4.Name = "ssSep4";
			ssSep4.Size = new System.Drawing.Size(6, 23);
			lblAlbumsPhotos.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblAlbumsPhotos.Name = "lblAlbumsPhotos";
			lblAlbumsPhotos.Size = new System.Drawing.Size(42, 18);
			lblAlbumsPhotos.Text = "    0";
			lblAlbumsPhotos.ToolTipText = "Добавлено фото в УГ-альбомы";
			ssSep5.Name = "ssSep5";
			ssSep5.Size = new System.Drawing.Size(6, 23);
			lblAudio.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblAudio.Name = "lblAudio";
			lblAudio.Size = new System.Drawing.Size(42, 18);
			lblAudio.Text = "    0";
			lblAudio.ToolTipText = "Загружено аудио";
			ssSep6.Name = "ssSep6";
			ssSep6.Size = new System.Drawing.Size(6, 23);
			lblVideos.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblVideos.Name = "lblVideos";
			lblVideos.Size = new System.Drawing.Size(42, 18);
			lblVideos.Text = "    0";
			lblVideos.ToolTipText = "Добавлено видео";
			ssSep7.Name = "ssSep7";
			ssSep7.Size = new System.Drawing.Size(6, 23);
			lblVideosComments.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
			lblVideosComments.Name = "lblVideosComments";
			lblVideosComments.Size = new System.Drawing.Size(42, 18);
			lblVideosComments.Text = "    0";
			lblVideosComments.ToolTipText = "Добавлено комментариев в УГ-видео";
			ssSep8.Name = "ssSep8";
			ssSep8.Size = new System.Drawing.Size(6, 23);
			pbPrepearing.Alignment = System.Windows.Forms.ToolStripItemAlignment.Right;
			pbPrepearing.Margin = new System.Windows.Forms.Padding(20, 3, 1, 3);
			pbPrepearing.Maximum = 1000;
			pbPrepearing.Name = "pbPrepearing";
			pbPrepearing.Size = new System.Drawing.Size(100, 17);
			pbPrepearing.Visible = false;
			tmrCounters.Interval = 200;
			tmrCounters.Tick += new System.EventHandler(tmrCounters_Tick);
			errProvider.ContainerControl = this;
			trayIcon.BalloonTipClicked += new System.EventHandler(trayIcon_BalloonTipClicked);
			trayIcon.MouseClick += new System.Windows.Forms.MouseEventHandler(trayIcon_MouseClick);
			trayIcon.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(trayIcon_MouseDoubleClick);
			base.AutoScaleDimensions = new System.Drawing.SizeF(6f, 13f);
			base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			base.ClientSize = new System.Drawing.Size(566, 396);
			base.Controls.Add(tpconMain);
			base.Controls.Add(tspTop);
			base.Controls.Add(ssMain);
			base.Icon = (System.Drawing.Icon)resources.GetObject("$this.Icon");
			base.Name = "MainForm";
			tpconMain.ResumeLayout(false);
			tpCreate.ResumeLayout(false);
			tlpCreateForm.ResumeLayout(false);
			tlpCreateForm.PerformLayout();
			tspTop.ResumeLayout(false);
			tspTop.PerformLayout();
			tsCmd.ResumeLayout(false);
			tsCmd.PerformLayout();
			ssMain.ResumeLayout(false);
			ssMain.PerformLayout();
			((System.ComponentModel.ISupportInitialize)errProvider).EndInit();
			ResumeLayout(false);
			PerformLayout();
		}
	}
}
